org.apache.lucene.analysis.opennlp.tools

## Class NLPChunkerOp

- java.lang.Object
- - org.apache.lucene.analysis.opennlp.tools.NLPChunkerOp

    public class NLPChunkerOp
    extends Object

Supply OpenNLP Chunking tool Requires binary models from OpenNLP project on SourceForge.

### Constructor Summary

Constructors
Constructor and Description
`NLPChunkerOp(opennlp.tools.chunker.ChunkerModel chunkerModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getChunks(String[] words, String[] tags, double[] probs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NLPChunkerOp

    public NLPChunkerOp(opennlp.tools.chunker.ChunkerModel chunkerModel)
                 throws IOException

Throws:
  `IOException`

### Method Detail

#### getChunks

    public String[] getChunks(String[] words,
                              String[] tags,
                              double[] probs)